org.deidentifier.arx

## Class ARXProcessStatistics

- java.lang.Object
- - org.deidentifier.arx.ARXProcessStatistics

All Implemented Interfaces:
  java.io.Serializable

    public class ARXProcessStatistics
    extends java.lang.Object
    implements java.io.Serializable

Statistics about the anonymization process for output data

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ARXProcessStatistics.Step` One individual anonymization step

### Method Summary

All Methods Instance Methods Concrete Methods
`ARXProcessStatistics` `clone()`
`long` `getDuration()` Returns the duration of the process
`ARXLattice` `getLattice()` Converts the statistics into a lattice
`int` `getNumberOfSteps()` Returns the number of steps performed
`ARXProcessStatistics.Step` `getStep(int index)` Returns a step performed during the anonymization process
`java.util.List<ARXProcessStatistics.Step>` `getSteps()` Returns all steps
`java.math.BigInteger` `getTransformationsAvailable()` Returns the number of transformations available in this process
`long` `getTransformationsChecked()` Returns the number of transformations checked in this process
`boolean` `isLocalTransformation()` Returns whether the result is a local transformation scheme
`boolean` `isSolutationAvailable()` Returns whether optimization has been performed
`ARXProcessStatistics` `merge(ARXProcessStatistics statistics)` Returns new process statistics that are a merger of this and the other statistics

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### clone

    public ARXProcessStatistics clone()

Overrides:
  `clone` in class `java.lang.Object`

#### getDuration

    public long getDuration()

Returns the duration of the process

Returns:

#### getLattice

    public ARXLattice getLattice()

Converts the statistics into a lattice

Returns:

#### getNumberOfSteps

    public int getNumberOfSteps()

Returns the number of steps performed

Returns:

#### getStep

    public ARXProcessStatistics.Step getStep(int index)

Returns a step performed during the anonymization process

Parameters:
  `index` -
Returns:

#### getSteps

    public java.util.List<ARXProcessStatistics.Step> getSteps()

Returns all steps

Returns:

#### getTransformationsAvailable

    public java.math.BigInteger getTransformationsAvailable()

Returns the number of transformations available in this process

Returns:

#### getTransformationsChecked

    public long getTransformationsChecked()

Returns the number of transformations checked in this process

Returns:

#### isLocalTransformation

    public boolean isLocalTransformation()

Returns whether the result is a local transformation scheme

Returns:

#### isSolutationAvailable

    public boolean isSolutationAvailable()

Returns whether optimization has been performed

Returns:

#### merge

    public ARXProcessStatistics merge(ARXProcessStatistics statistics)

Returns new process statistics that are a merger of this and the other statistics

Parameters:
  `statistics` -